> ## Documentation Index
> Fetch the complete documentation index at: https://doc.haipay.net/llms.txt
> Use this file to discover all available pages before exploring further.

# 全球收银台 — 代收申请

> 全球收银台 — 代收申请（POST /global/cashier/collect/apply）：创建代收订单 appId需使用收银台对应的，用户支付成功后增加[currency]对应的余额；关键请求参数含 orderId、name、email、amount。

> [!NOTE]
>
> 本页所有示例请求均基于**沙盒（测试）环境**，请注意区分正式环境。

#### 密钥私钥(生成签名)

## 相关主题

* [全球收银台支付接口](https://doc.haipay.net/zh/payments/cashier.md)
* [HaiPay API 文档简介](https://doc.haipay.net/zh/api-reference/overview.md)
* [HaiPay 配置与签名指南](https://doc.haipay.net/zh/get-started/configuration-and-signatures.md)
* [全球收银台 — 代收查询 (POST /global/cashier/collect/query)](https://doc.haipay.net/zh/api-reference/cashier/collect-query.md)
* [全球收银台 — 代收查询V2 (POST /global/cashier/collect/query/v2)](https://doc.haipay.net/zh/api-reference/cashier/collect-query-v2.md)
* [处理异步通知并验证签名](https://doc.haipay.net/zh/operations/callback.md)
* [查阅接口响应结构与错误码](https://doc.haipay.net/zh/resources/error-responses.md)


## OpenAPI

````yaml docs/zh/V20260701/api-reference/cashier/cashier.openapi.json POST /global/cashier/collect/apply
openapi: 3.0.1
info:
  title: 全球收银台
  description: ''
  version: 1.0.0
servers:
  - url: https://uat-interface.haipay.asia
    description: 测试-interface
security: []
tags: []
paths:
  /global/cashier/collect/apply:
    post:
      tags: []
      summary: 收银台代收申请
      description: |-
        创建代收订单

        appId需使用收银台对应的，用户支付成功后增加[currency]对应的余额
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                appId:
                  type: integer
                  description: 业务ID（后台获取，请使用收银台专属APPID，币种为收银台(CASHIER)）
                orderId:
                  type: string
                  description: 商户订单号(必须保证唯一性，长度不超过48)
                  maxLength: 48
                name:
                  type: string
                  description: 用户姓名，推荐使用真实姓名，格式：包含firstName和lastName，以空格分割的，示例：John Doe
                email:
                  type: string
                  description: 真实电子邮件
                  format: email
                amount:
                  type: string
                  description: 交易金额（精确到小数点后两位；禁止添加标点符号，例如：","）
                  pattern: ^\d+\.\d{2}$
                currency:
                  type: string
                  description: 交易金额对应的币种，支持：USD（0.99美元起步），其他币种参考地区编码
                  minLength: 3
                  maxLength: 3
                callBackUrl:
                  type: string
                  description: 用户支付成功后跳转地址
                  format: uri
                callBackFailUrl:
                  type: string
                  description: 用户支付失败后跳转地址
                  format: uri
                cancelUrl:
                  type: string
                  description: 用户取消支付URL，如果传递，用户可在支付页面点击返回到此页面
                  format: uri
                notifyUrl:
                  type: string
                  description: 回调地址
                  format: uri
                subject:
                  type: string
                  description: 支付备注（交易标题，商品名称，支付原因等）
                body:
                  type: string
                  description: 备注详情
                region:
                  type: string
                  description: 地区编码，使用两位编码即可
                  minLength: 2
                  maxLength: 2
                partnerUserId:
                  type: string
                  description: >-
                    用户唯一标识（如用户ID
                    userId），用于风控系统，必须真实有效，否则会影响交易。格式要求：数字、大小写字母或常用符号-~!@#$%&*()_。
                  pattern: ^[A-Za-z0-9\-~!@#$%&*()_]+$
                sign:
                  type: string
                  description: 签名
              required:
                - appId
                - orderId
                - name
                - email
                - amount
                - currency
                - callBackUrl
                - callBackFailUrl
                - subject
                - region
                - partnerUserId
                - sign
              additionalProperties: false
            example:
              appId: 1054
              orderId: M233323000059
              name: David Wilson
              email: david.wilson@gmail.com
              amount: '499.00'
              currency: USD
              callBackUrl: https://merchant.com/payment/success
              callBackFailUrl: https://merchant.com/payment/fail
              cancelUrl: https://merchant.com/payment/cancel
              notifyUrl: https://merchant.com/api/notify
              subject: Payment for order
              body: Premium subscription
              region: US
              partnerUserId: '149597870'
              sign: >-
                af0gAHkUOyYHu9owQp8NJ4mPEeUW4vuJcjdxqLIzrVw8AvpLSjD1DXupReSG/CyuSkFRyiIvCp5u703AuGGmfgD2gKDH3Ywau41bAbG2jnHJ8mtjiSJ5iWUzanyd4Kr7d1+rETbzUl7/BkW3t0X8UUFdqpxwG8DPUjAwUKfplWDHV7koG51Ozexd80DCsmW6eWdouAZ1uNXGLYmV3ftE3BmfNRtuv1C5bfTJWrTEIOxbF6g2uYOFZTlIgrQgd7/2PsAYwQQXNz8Q8CYl4OxqCv4pXJxaLWPbR5tqZu9og5kn32C9aHW/NlU1y39vzz+4ef81yPAqUV9oHlSMSPrMmw==
        required: true
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    description: 状态码
                    default: '1'
                  error:
                    type: string
                    description: 错误码
                    default: '00000000'
                  msg:
                    type: string
                    description: 返回消息
                    default: ''
                  data:
                    type: object
                    description: 返回数据对象
                    properties:
                      orderId:
                        type: string
                        description: 商户订单号
                      orderNo:
                        type: string
                        description: 平台订单号
                      payUrl:
                        type: string
                        description: 支付链接
                      sign:
                        type: string
                        description: 签名
                    default: {}
                additionalProperties: false
              examples:
                success:
                  summary: 成功
                  value:
                    status: '1'
                    error: '00000000'
                    msg: ''
                    data:
                      orderId: M233323000059
                      orderNo: '6023071013539074'
                      payUrl: https://pay.haipay.asia/cashier/1L9zQS2
                      sign: >-
                        af0gAHkUOyYHu9owQp8NJ4mPEeUW4vuJcjdxqLIzrVw8AvpLSjD1DXupReSG/CyuSkFRyiIvCp5u703AuGGmfgD2gKDH3Ywau41bAbG2jnHJ8mtjiSJ5iWUzanyd4Kr7d1+rETbzUl7/BkW3t0X8UUFdqpxwG8DPUjAwUKfplWDHV7koG51Ozexd80DCsmW6eWdouAZ1uNXGLYmV3ftE3BmfNRtuv1C5bfTJWrTEIOxbF6g2uYOFZTlIgrQgd7/2PsAYwQQXNz8Q8CYl4OxqCv4pXJxaLWPbR5tqZu9og5kn32C9aHW/NlU1y39vzz+4ef81yPAqUV9oHlSMSPrMmw==
                param_error:
                  summary: 参数校验失败
                  value:
                    status: '0'
                    error: '1001'
                    msg: orderId can not blank
                    data: null
                sign_error:
                  summary: 签名错误
                  value:
                    status: '0'
                    error: '1002'
                    msg: Invalid request signature
                    data: null
          headers: {}
      deprecated: false
      security: []

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.